

sub check_GTIs_Files()
{
		my $instrument = $_[0];
		my $exposure = $_[1];
		my $mode = $_[2];
		my $type = $_[3];
		my $source_name = $_[4];
		#.. Test for existance of GTI files		
	    if ($Log_GTIEvt_Flag == 0) {
		my $gtievent_log=$results_directory."gtievent_".$source_name."\.log";
		if (-e $gtievent_log) {unlink("$gtievent_log") or die "Cannot rm file: $!";}    
		open(GTILOG, "> $gtievent_log") or die "Cant open output file: $! \n";    #open for write, overwrite
	    }
		my $flag = "epic_".$type."_flag";
	    @epic_GTI=&test_epic_gtifile($instrument,$exposure,$mode);   # EPIC	   
	    if ($epic_GTI[0]){
			@epic_infoGTI=&gti_file_inf($epic_GTI_file,$instrument);
			if ($epic_infoGTI[0] != 0.0){$epic_GTI_file=$epic_GTI[1];				
			} else {$$flag = 0;}
	    } else {$$flag = 0;}
	
	
	    if ($Log_GTIEvt_Flag == 0) {
			close(GTILOG);
			$Log_GTIEvt_Flag = 1;	
	    }		
}

sub check_Spectra_Files()
{
		my $inst = $_[0];
		my $exposure = $_[1];
		my $mode = $_[2];
		my $type = $_[3];
		my $source_name = $_[4];
		
		my $instrument = "";
		if ( $inst eq "EPN" ) {
			$instrument = "pn";
		}
		elsif ( $inst eq "EMOS1" ) {
			$instrument = "m1";
		}
		elsif ( $inst eq "EMOS2" ) {
			$instrument = "m2";
		}


		if ($Log_Evt_Flag == 0) {
			my $event_log=$results_directory."event_".$source_name."\.log";
			if (-e $event_log) {unlink("$event_log") or die "Cannot rm file: $!";}    
				open(EVTLOG, "> $event_log") or die "Cant open output file: $! \n";    #open for write, overwrite	
   		} 
		my $flag = "epic_".$type."_flag";	
	    @test_epicEvt=&test_epiceventfiles($inst,$exposure,$mode);                 # EPIC Event Files
	    if ($test_epicEvt[0]) {
			$epic_event_list=$test_epicEvt[1];
			&event_file_inf($epic_event_list,$instrument);
	    } else {$$flag = 0;}
	    
}



1;
